Bug 61073 - postfix alternatives stuff doesn't work
Summary: postfix alternatives stuff doesn't work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-13 04:33 UTC by Chris Ricker
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-23 07:24:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2002-03-13 04:33:28 UTC
[kaboom@skuld tmp]$ sudo rpm -Uvh postfix-1.1.4-1.i386.rpm 
Preparing...                ########################################### [100%]
   1:postfix                ########################################### [100%]
alternatives version 1.2.29 - Copyright (C) 2001 Red Hat, Inc.
This may be freely redistributed under the terms of the GNU Public License.

usage: alternatives --install <link> <name> <path> <priority>
                    [--slave <link> <name> <path>]*
       alternatives --remove <name> <path>
       alternatives --auto <name>
       alternatives --config <name>
       alternatives --display <name>
       alternatives --set <name> <path>

common options: --verbose --test --help --usage --version
                --altdir <directory> --admindir <directory>
error: execution of %post scriptlet from postfix-1.1.4-1 failed, exit status 2
[kaboom@skuld tmp]$

Comment 1 Chris Ricker 2002-03-13 04:45:18 UTC
Upgrading to chkconfig-1.3.1 fixed that problem (so postfix needs a chkconfig >
1.3.1 dependency).

Now I have a new problem:

[kaboom@skuld kaboom]$ sudo rpm -Uvh /tmp/postfix-1.1.4-1.i386.rpm 
Preparing...                ########################################### [100%]
   1:postfix                ########################################### [100%]
cp: cannot stat `/lib/libdb.so': No such file or directory
error: execution of %trigger scriptlet from postfix-1.1.4-1 failed, exit status 1
[kaboom@skuld kaboom]$ 


The only libdb I have in /lib is /lib/libdb-3.2.so....

Comment 2 Chris Ricker 2002-03-13 04:54:12 UTC
Looking at the script, it's doing

cp /lib/libdb-3.?.so /var/spool/postfix/lib
cp /lib/libdb.so /var/spool/postfix/lib

AFAICT, that second line is totally unnecessary.  ldd on the binaries reports a
dependency upon /lib/libdb-3.2.so only, and not one on libdb.so.

Comment 3 Chris Ricker 2002-03-23 07:24:04 UTC
All this appears to be fixed now (1.1.4-3)....


Note You need to log in before you can comment on or make changes to this bug.